/* C file generated for /home/bruxelles/diaz/GNU-Prolog/src/BipsFD/fd_prime_fd.fd */

#include "fd_to_c.h"

	/*--------------------------*/
	/* User constraint: prime_x */
	/*--------------------------*/


	/* Bloc #1 */

fd_begin_internal(prime_x_bloc_1)

   fd_local_fdv_adr
   fd_local_range_var(0)

   fd_allocate
   fd_range_fct(Prime_Range,0,arg_1(0))
   fd_deallocate
   fd_tell_range(0,0)
 fd_exit_point
   fd_return

fd_end_internal


	/* Entry point for prime_x */

fd_begin_user_constraint(prime_x(FdArg(X)))

   fd_create_a_frame(1)
   fd_fdv_in_a_frame(X,0)

   fd_before_add_constraint
   fd_call_internal(prime_x_bloc_1)
   fd_after_add_constraint
 fd_exit_point
   fd_return

fd_end_user_constraint


	/*------------------------------*/
	/* User constraint: not_prime_x */
	/*------------------------------*/


	/* Bloc #1 */

fd_begin_internal(not_prime_x_bloc_1)

   fd_local_fdv_adr
   fd_local_range_var(0)

   fd_allocate
   fd_range_fct(Not_Prime_Range,0,arg_1(0))
   fd_deallocate
   fd_tell_range(0,0)
 fd_exit_point
   fd_return

fd_end_internal


	/* Entry point for not_prime_x */

fd_begin_user_constraint(not_prime_x(FdArg(X)))

   fd_create_a_frame(1)
   fd_fdv_in_a_frame(X,0)

   fd_before_add_constraint
   fd_call_internal(not_prime_x_bloc_1)
   fd_after_add_constraint
 fd_exit_point
   fd_return

fd_end_user_constraint

